Subject: [PATCH 0/9] Add Easyeffects
From: Brendan Tildesley <[email-masked]>
To: Guix Patches <[email-masked]>
Date: Tue, 11 Apr 2023 08:06:04 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I realized there was already a patch for this package here but its a bit
out of date: https://issues.guix.gnu.org/57218

I did not use package-with-c-toolchain method because it seemed to
create some weird module dependency cycle with commencement
that broke compilation, so I just added gcc-11 to inputs.

I had to update a few dependencies to get this working, and we cannot
have the latest version until GTK>=4.10 is in guix. Additionally, serd
has a test suite now but there was an error with test_quiet.py "not
existing" even though it does, so I was left stumped and disabled tests
to avoid going insane.

Also this ends up causing a webkitgtk rebuild. Hope that isn't an issue.